// TouchPadBlocker.h

#ifndef TOUCH_PAD_BLOCKER_H
#define TOUCH_PAD_BLOCKER_H

#include <add-ons/input_server/InputServerFilter.h>
#include <Message.h>
#include <OS.h>

// export this for the input_server
extern "C" _EXPORT BInputServerFilter* instantiate_input_filter();
 

class TouchPadBlocker : public BInputServerFilter {
public:
							TouchPadBlocker();
	virtual					~TouchPadBlocker();

	virtual	filter_result	Filter(BMessage* message, BList* outList);

private:
			bigtime_t		fLastKeyDownTime;
			bool			fAllowClicks;
			bool			fClickDropped;
			BMessage		fDroppedMouseDownMessage;
};


#endif // TOUCH_PAD_BLOCKER_H
